export interface puppeteerOptions {
    /**
     * @default true
     */
    headless?: boolean;
    args?: string[];
    /**
     * @default null
     */
    executablePath?: string;
    /**
     * @default null
     */
    userDataDir?: string;
    /**
     * @default null
     */
    ignoreHTTPSErrors?: boolean;
}
export interface CreateOptions {
    /**
     * @default 'session'
     */
    session?: string;
    /**
     * @default true
     */
    updatesLog?: boolean;
    /**
     * @default 'token'
     */
    pathNameToken?: string;
    /**
     * @default null
     */
    mkdirFolderToken?: string;
    puppeteerOptions?: puppeteerOptions;
    /**
     * @default true
     */
    printQRInTerminal?: boolean;
    /**
     * @default 60000
     */
    timeAutoClose?: number;
}
export declare const defaultConfig: CreateOptions;
